Gets the colorspace

- « Imagick::gaussianBlurImage

- Imagick::getCompression »

- PHP Manual
- Imagick
- Gets the colorspace

# Imagick::getColorspace

(PECL imagick 3)

Imagick::getColorspace — Gets the colorspace

### Description

public Imagick::getColorspace(): int

Gets the global colorspace value. This method is available if Imagick has been compiled against ImageMagick version 6.5.7 or newer.

### Parameters

This function has no parameters.

### Return Values

Returns an integer which can be compared against COLORSPACE constants.